# Generated from vanilla-ujs-1.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name vanilla-ujs

Name: rubygem-%{gem_name}
Version: 1.3.0
Release: 1%{?dist}
Summary: UJS without jQuery dependency
License: MIT
URL: https://github.com/hauleth/vanilla-ujs
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
BuildArch: noarch

%description
This gem provides Rails UJS features without jQuery library.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Gruntfile.js
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/MAINTAINERS
%{gem_libdir}
%{gem_instdir}/package.json
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/vanilla-ujs.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.3.0-1
- Initial package
